Package org.opensaml.core.xml

# Interface ElementExtensibleXMLObject

All Superinterfaces:
  `XMLObject`

All Known Subinterfaces:
  `Advice`, `AgreementMethod`, `AppliesTo`, `ArtifactResolutionService`, `AssertionConsumerService`, `AssertionIDRequestService`, `AttributeAssignmentType`, `AttributeService`, `AttributeValue`, `AttributeValue`, `AttributeValueType`, `AttributeValueType`, `Authenticator`, `AuthnContextDecl`, `AuthnQueryService`, `AuthzService`, `Body`, `Claims`, `DataReference`, `Detail`, `DigestMethod`, `DigestMethod`, `DiscoveryResponse`, `Embedded`, `EncryptionMethod`, `EncryptionMethod`, `EncryptionProperty`, `Endpoint`, `EndpointReference`, `EndpointReferenceType`, `Entropy`, `Envelope`, `Extensions`, `Extensions`, `FaultTo`, `From`, `Header`, `IndexedEndpoint`, `Issuer`, `KeyDerivationMethod`, `KeyExchangeToken`, `KeyInfoConfirmationDataType`, `KeyReference`, `ManageNameIDService`, `Metadata`, `NameIDMappingService`, `OnBehalfOf`, `Participants`, `PGPData`, `PolicyAttachment`, `ReferenceParameters`, `ReferenceType`, `ReplyTo`, `RequestInitiator`, `RequestSecurityToken`, `RequestSecurityTokenResponse`, `ResourceContentType`, `Security`, `SecurityTokenReference`, `SignChallenge`, `SignChallengeResponse`, `SignChallengeType`, `SigningMethod`, `SingleLogoutService`, `SingleSignOnService`, `StatusDetail`, `StatusDetail`, `StatusDetailType`, `SubjectConfirmationData`, `SubjectConfirmationData`, `Timestamp`, `TransformationParameters`, `UsernameToken`, `XSAny`

All Known Implementing Classes:
  `AbstractElementExtensibleXMLObject`, `AbstractExtensibleSOAPObject`, `AbstractExtensibleXMLObject`, `AdviceImpl`, `AgreementMethodImpl`, `AppliesToImpl`, `ArtifactResolutionServiceImpl`, `AssertionConsumerServiceImpl`, `AssertionIDRequestServiceImpl`, `AttributeAssignmentTypeImpl`, `AttributeServiceImpl`, `AttributeValueImpl`, `AttributeValueImpl`, `AttributeValueTypeImpl`, `AttributeValueTypeImpl`, `AuthenticatorImpl`, `AuthnContextDeclImpl`, `AuthnQueryServiceImpl`, `AuthzServiceImpl`, `BodyImpl`, `ClaimsImpl`, `DataReferenceImpl`, `DetailImpl`, `DigestMethodImpl`, `DigestMethodImpl`, `DiscoveryResponseImpl`, `EmbeddedImpl`, `EncryptionMethodImpl`, `EncryptionMethodImpl`, `EncryptionPropertyImpl`, `EndpointImpl`, `EndpointReferenceImpl`, `EndpointReferenceTypeImpl`, `EntropyImpl`, `EnvelopeImpl`, `ExtensionsImpl`, `ExtensionsImpl`, `FaultToImpl`, `FromImpl`, `HeaderImpl`, `IndexedEndpointImpl`, `IssuerImpl`, `KeyDerivationMethodImpl`, `KeyExchangeTokenImpl`, `KeyInfoConfirmationDataTypeImpl`, `KeyReferenceImpl`, `ManageNameIDServiceImpl`, `MetadataImpl`, `NameIDMappingServiceImpl`, `OnBehalfOfImpl`, `ParticipantsImpl`, `PGPDataImpl`, `PolicyAttachmentImpl`, `ReferenceParametersImpl`, `ReferenceTypeImpl`, `ReplyToImpl`, `RequestInitiatorImpl`, `RequestSecurityTokenImpl`, `RequestSecurityTokenResponseImpl`, `ResourceContentTypeImpl`, `SecurityImpl`, `SecurityTokenReferenceImpl`, `SignChallengeImpl`, `SignChallengeResponseImpl`, `SignChallengeTypeImpl`, `SigningMethodImpl`, `SimpleXMLObject`, `SingleLogoutServiceImpl`, `SingleSignOnServiceImpl`, `StatusDetailImpl`, `StatusDetailImpl`, `StatusDetailTypeImpl`, `SubjectConfirmationDataImpl`, `SubjectConfirmationDataImpl`, `TimestampImpl`, `TransformationParametersImpl`, `UsernameTokenImpl`, `XSAnyImpl`

public interface ElementExtensibleXMLObject extends XMLObject
An XMLObject whose content model contains "any" child elements.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getUnknownXMLObjects()`
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model.
`List<XMLObject>`
`getUnknownXMLObjects(QName typeOrName)`
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model, and which match the specified QName.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Method Details

### getUnknownXMLObjects

@Nonnull @Live List<XMLObject> getUnknownXMLObjects()
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model.

Returns:
  list of XMLObjects added to this XMLObject as part of the "any" content model

### getUnknownXMLObjects

@Nonnull @Live List<XMLObject> getUnknownXMLObjects(@Nonnull QName typeOrName)
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model, and which match the specified QName.

Parameters:
  `typeOrName` - the QName of the statements to return
Returns:
  list of XMLObjects added to this XMLObject as part of the "any" content model TODO: think this should be typed List<? extends XMLObject>